Package org.globus.ftp.dc

# Class StreamImageDCReader

java.lang.Object
org.globus.ftp.dc.StreamImageDCReader

All Implemented Interfaces:
  `DataChannelReader`

Direct Known Subclasses:
  `StreamAsciiDCReader`

public class StreamImageDCReader extends Object implements DataChannelReader

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BUF_SIZE`
`protected int`
`bufferSize`
`protected InputStream`
`input`

## Constructor Summary

Constructors
Constructor
Description
`StreamImageDCReader()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`Buffer`
`read()`
`void`
`setDataStream(InputStream in)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BUF_SIZE

public static final int BUF_SIZE

See Also:
  - Constant Field Values

### bufferSize

protected int bufferSize

### input

protected InputStream input

## Constructor Details

### StreamImageDCReader

public StreamImageDCReader()

## Method Details

### setDataStream

public void setDataStream(InputStream in)

Specified by:
  `setDataStream` in interface `DataChannelReader`

### read

public Buffer read() throws IOException

Specified by:
  `read` in interface `DataChannelReader`
Returns:
  Buffer of read data or null if end of data
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `DataChannelReader`
Throws:
  `IOException`